| Package | Description |
|---|---|
| io.helidon.webserver |
Reactive web server API.
|
| Modifier and Type | Method and Description |
|---|---|
RequestPredicate |
RequestPredicate.accepts(MediaType... contentType)
Only accept request that accepts any of the given content types.
|
RequestPredicate |
RequestPredicate.accepts(String... contentType)
Accept requests only when it accepts any of the given content types.
|
RequestPredicate |
RequestPredicate.and(Predicate<ServerRequest> predicate)
Returns a composed predicate that represents a logical AND expression
between this predicate and another predicate.
|
RequestPredicate |
RequestPredicate.containsCookie(String name)
Accept request only when the specified cookie exists.
|
RequestPredicate |
RequestPredicate.containsCookie(String name,
String value)
Accept requests only when the specified cookie contains a given value.
|
RequestPredicate |
RequestPredicate.containsCookie(String name,
Predicate<String> predicate)
Accept requests only when the specified cookie is valid.
|
RequestPredicate |
RequestPredicate.containsHeader(String name)
Accept requests only when the specified header name exists.
|
RequestPredicate |
RequestPredicate.containsHeader(String name,
String value)
Accept requests only when the specified header contains a given value.
|
RequestPredicate |
RequestPredicate.containsHeader(String name,
Predicate<String> predicate)
Accept requests only when the specified header is valid.
|
RequestPredicate |
RequestPredicate.containsQueryParameter(String name)
Accept requests only when the specified query parameter exists.
|
RequestPredicate |
RequestPredicate.containsQueryParameter(String name,
String value)
Accept requests only when the specified query parameter contains a given
value.
|
RequestPredicate |
RequestPredicate.containsQueryParameter(String name,
Predicate<String> predicate)
Accept requests only when the specified query parameter is valid.
|
static RequestPredicate |
RequestPredicate.create()
Creates new empty
RequestPredicate instance. |
RequestPredicate |
RequestPredicate.hasContentType(MediaType... contentType)
Only accept requests with any of the given content types.
|
RequestPredicate |
RequestPredicate.hasContentType(String... contentType)
Only accept requests with any of the given content types.
|
RequestPredicate |
RequestPredicate.isOfMethod(Http.Method... methods)
Accepts only requests with one of specified HTTP methods.
|
RequestPredicate |
RequestPredicate.isOfMethod(String... methods)
Accepts only requests with one of specified HTTP methods.
|
RequestPredicate |
RequestPredicate.negate()
Return a predicate that represents the logical negation of this predicate.
|
RequestPredicate |
RequestPredicate.or(Predicate<ServerRequest> predicate)
Returns a composed predicate that represents a logical OR expression
between this predicate and another predicate.
|
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.